Package org.jboss.resteasy.util

## Class DynamicFeatureContextDelegate

- java.lang.Object
- - org.jboss.resteasy.util.FeatureContextDelegate
  - - org.jboss.resteasy.util.DynamicFeatureContextDelegate

- All Implemented Interfaces:
    `javax.ws.rs.core.Configurable<javax.ws.rs.core.FeatureContext>`, `javax.ws.rs.core.FeatureContext`

      public class DynamicFeatureContextDelegate
      extends FeatureContextDelegate

  Author:
    Nicolas NESMON

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.util.FeatureContextDelegate

      `configurable`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DynamicFeatureContextDelegate​(javax.ws.rs.core.Configurable<?> configurable)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.ws.rs.core.FeatureContext` | `property​(String name, Object value)` |
    `javax.ws.rs.core.FeatureContext` | `register​(Class<?> componentClass)` |
    `javax.ws.rs.core.FeatureContext` | `register​(Class<?> componentClass, int priority)` |
    `javax.ws.rs.core.FeatureContext` | `register​(Class<?> componentClass, Class<?>... contracts)` |
    `javax.ws.rs.core.FeatureContext` | `register​(Class<?> componentClass, Map<Class<?>,​Integer> contracts)` |
    `javax.ws.rs.core.FeatureContext` | `register​(Object component)` |
    `javax.ws.rs.core.FeatureContext` | `register​(Object component, int priority)` |
    `javax.ws.rs.core.FeatureContext` | `register​(Object component, Class<?>... contracts)` |
    `javax.ws.rs.core.FeatureContext` | `register​(Object component, Map<Class<?>,​Integer> contracts)` |

    - ### Methods inherited from class org.jboss.resteasy.util.FeatureContextDelegate

      `getConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicFeatureContextDelegate

          public DynamicFeatureContextDelegate​(javax.ws.rs.core.Configurable<?> configurable)

  - ### Method Detail

    - #### property

          public javax.ws.rs.core.FeatureContext property​(String name,
                                                          Object value)

      Specified by:
        `property` in interface `javax.ws.rs.core.Configurable<javax.ws.rs.core.FeatureContext>`
      Overrides:
        `property` in class `FeatureContextDelegate`

    - #### register

          public javax.ws.rs.core.FeatureContext register​(Class<?> componentClass)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<javax.ws.rs.core.FeatureContext>`
      Overrides:
        `register` in class `FeatureContextDelegate`

    - #### register

          public javax.ws.rs.core.FeatureContext register​(Class<?> componentClass,
                                                          int priority)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<javax.ws.rs.core.FeatureContext>`
      Overrides:
        `register` in class `FeatureContextDelegate`

    - #### register

          public javax.ws.rs.core.FeatureContext register​(Class<?> componentClass,
                                                          Class<?>... contracts)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<javax.ws.rs.core.FeatureContext>`
      Overrides:
        `register` in class `FeatureContextDelegate`

    - #### register

          public javax.ws.rs.core.FeatureContext register​(Class<?> componentClass,
                                                          Map<Class<?>,​Integer> contracts)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<javax.ws.rs.core.FeatureContext>`
      Overrides:
        `register` in class `FeatureContextDelegate`

    - #### register

          public javax.ws.rs.core.FeatureContext register​(Object component)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<javax.ws.rs.core.FeatureContext>`
      Overrides:
        `register` in class `FeatureContextDelegate`

    - #### register

          public javax.ws.rs.core.FeatureContext register​(Object component,
                                                          int priority)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<javax.ws.rs.core.FeatureContext>`
      Overrides:
        `register` in class `FeatureContextDelegate`

    - #### register

          public javax.ws.rs.core.FeatureContext register​(Object component,
                                                          Class<?>... contracts)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<javax.ws.rs.core.FeatureContext>`
      Overrides:
        `register` in class `FeatureContextDelegate`

    - #### register

          public javax.ws.rs.core.FeatureContext register​(Object component,
                                                          Map<Class<?>,​Integer> contracts)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<javax.ws.rs.core.FeatureContext>`
      Overrides:
        `register` in class `FeatureContextDelegate`